Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

Merge branch 'master' into integration_testing

  • Loading branch information...
commit c7e86181cb95915eed4dc7a0c919fbf2e45ebad2 2 parents 371be78 + 6c90dfe
Michael Bleigh authored
Showing with 4 additions and 9 deletions.
  1. +0 −5 .document
  2. +2 −0  oa-oauth/oa-oauth.gemspec
  3. +2 −4 omniauth.gemspec
5 .document
View
@@ -1,5 +0,0 @@
-README.rdoc
-lib/**/*.rb
-bin/*
-features/**/*.feature
-LICENSE
2  oa-oauth/oa-oauth.gemspec
View
@@ -9,6 +9,7 @@ Gem::Specification.new do |gem|
gem.add_runtime_dependency 'oauth', '~> 0.4.0'
gem.add_runtime_dependency 'oauth2', '~> 0.5.0.rc2'
gem.add_development_dependency 'evernote', '~> 1.0'
+ gem.add_development_dependency 'vcr'
gem.add_development_dependency 'maruku', '~> 0.6'
gem.add_development_dependency 'rack-test', '~> 0.5'
gem.add_development_dependency 'rake', '~> 0.8'
@@ -16,6 +17,7 @@ Gem::Specification.new do |gem|
gem.add_development_dependency 'simplecov', '~> 0.4'
gem.add_development_dependency 'webmock', '~> 1.6'
gem.add_development_dependency 'yard', '~> 0.7'
+ gem.add_development_dependency 'vcr', '~> 1.10'
gem.add_development_dependency 'ZenTest', '~> 4.5'
gem.add_development_dependency 'vcr'
gem.add_development_dependency 'mechanize'
6 omniauth.gemspec
View
@@ -8,13 +8,11 @@ Gem::Specification.new do |gem|
gem.authors = ['Michael Bleigh', 'Erik Michaels-Ober']
gem.description = %q{OmniAuth is an authentication framework that that separates the concept of authentiation from the concept of identity, providing simple hooks for any application to have one or multiple authentication providers for a user.}
gem.email = ['michael@intridea.com', 'sferik@gmail.com']
- gem.executables = `git ls-files -- bin/*`.split("\n").map{|f| File.basename(f)}
- gem.files = `git ls-files`.split("\n")
+ gem.files = Dir.glob("lib/**/*") + %w(README.md LICENSE.md)
gem.homepage = 'http://github.com/intridea/omniauth'
gem.name = 'omniauth'
gem.require_paths = ['lib']
gem.required_rubygems_version = Gem::Requirement.new('>= 1.3.6')
- gem.summary = %q{Rack middleware for standardized multi-provider authentication.}
- gem.test_files = `git ls-files -- {test,spec,features}/*`.split("\n")
+ gem.summary = %q{Rack middleware for standardized multi-provider authentication}
gem.version = OmniAuth::Version::STRING
end
Please sign in to comment.
Something went wrong with that request. Please try again.